# Models

## The Filter object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"Filter":{"type":"object","properties":{"jsonPath":{"type":"string","minLength":1,"description":"JSON path to the field being filtered"},"type":{"$ref":"#/components/schemas/FiltersTypes"},"value":{"nullable":true}},"required":["jsonPath","type"]},"FiltersTypes":{"type":"string","enum":["is greater than","is less than","is greater than or equal to","is less than or equal to","is","is not","date range","multi select","days back","is exists","is not exists","includes","not includes"]}}}}
```

## The FiltersTypes object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"FiltersTypes":{"type":"string","enum":["is greater than","is less than","is greater than or equal to","is less than or equal to","is","is not","date range","multi select","days back","is exists","is not exists","includes","not includes"]}}}}
```

## The DashboardDatasetsResponse object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"DashboardDatasetsResponse":{"type":"object","properties":{"datasets":{"type":"array","items":{"$ref":"#/components/schemas/Dataset"}}},"required":["datasets"]},"Dataset":{"type":"object","properties":{"datasetId":{"type":"string","format":"uuid","description":"The UUID of the dataset"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/DatasetField"}}},"required":["datasetId","fields"]},"DatasetField":{"type":"object","properties":{"jsonPath":{"type":"string","description":"JSONPath of the field within the dataset"},"type":{"$ref":"#/components/schemas/FieldType"}},"required":["jsonPath","type"]},"FieldType":{"type":"string","enum":["string","boolean","number","bigint"]}}}}
```

## The Dataset object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"Dataset":{"type":"object","properties":{"datasetId":{"type":"string","format":"uuid","description":"The UUID of the dataset"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/DatasetField"}}},"required":["datasetId","fields"]},"DatasetField":{"type":"object","properties":{"jsonPath":{"type":"string","description":"JSONPath of the field within the dataset"},"type":{"$ref":"#/components/schemas/FieldType"}},"required":["jsonPath","type"]},"FieldType":{"type":"string","enum":["string","boolean","number","bigint"]}}}}
```

## The DatasetField object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"DatasetField":{"type":"object","properties":{"jsonPath":{"type":"string","description":"JSONPath of the field within the dataset"},"type":{"$ref":"#/components/schemas/FieldType"}},"required":["jsonPath","type"]},"FieldType":{"type":"string","enum":["string","boolean","number","bigint"]}}}}
```

## The FieldType object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"FieldType":{"type":"string","enum":["string","boolean","number","bigint"]}}}}
```

## The EditApiKeyResponse object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"EditApiKeyResponse":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]}}}}
```

## The DeleteApiKeyResponse object

```json
{"openapi":"3.0.0","info":{"title":"BI.P.EYE API","version":"1.0.0"},"components":{"schemas":{"DeleteApiKeyResponse":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bipeye.com/product-docs/overview/openapi/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
